View Issue Details

IDProjectCategoryView StatusLast Update
0002984Ham Radio DeluxeBugpublic2019-01-16 22:04
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version16299
Product Version6.5.0.132 
Target VersionFixed in Version6.5.0.183 
Summary0002984: Rig Control: FT991 is shown with "Roofing Filter" drop-down
DescriptionThe Rig Control support for the FT-991 and FT-991A offers a "Roofing Filter" drop-down which exercises the RF command. But these radios don't have a roofing filter, so the button shouldn't be displayed.
Steps To Reproduce1) Fire up Rig Control
2) Connect to an FT-991
3) a "Roofing Filter" drop-down is offered.

BUG#1) It doesn't work ... the radio doesn't have a roofing filter and doesn't support the "RF" CIV command.
TagsFT-991, FT-991A
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-12-13 11:23

manager   ~0006605

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4555

WA9PIE

2019-01-01 21:03

administrator   ~0006830

Validated - I see no roofing filter dropdown.

Issue History

Date Modified Username Field Change
2018-12-12 17:22 K7ZCZ New Issue
2018-12-13 11:23 K7ZCZ Assigned To => K7ZCZ
2018-12-13 11:23 K7ZCZ Status new => resolved
2018-12-13 11:23 K7ZCZ Resolution open => fixed
2018-12-13 11:23 K7ZCZ Note Added: 0006605
2018-12-14 17:19 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:19 K7ZCZ Steps to Reproduce Updated View Revisions
2018-12-21 01:17 WA9PIE Tag Attached: FT-991
2018-12-21 01:17 WA9PIE Tag Attached: FT-991A
2019-01-01 21:03 WA9PIE Status resolved => closed
2019-01-01 21:03 WA9PIE Testing Not Started => Beta Successful
2019-01-01 21:03 WA9PIE Note Added: 0006830
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe